Bug 34071 - RFE: package config files with binaries
RFE: package config files with binaries
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael K. Johnson
Brock Organ
: FutureFeature
Depends On:
  Show dependency treegraph
Reported: 2001-03-30 09:45 EST by Gene Czarcinski
Modified: 2007-04-18 12:32 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2001-04-04 19:35:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Gene Czarcinski 2001-03-30 09:45:39 EST
Yes, this is VMware related but may apply to other situations too.

When configuring VMware to run, I need to install the source and run {edit
Makefile to change EXTRAVERSION; make mrproper; make oldconfig; make dep}
to run the "vmware-config.pl" which then compiles its extensions if they do
not have precompiled versions for the running kernel.  This has to be done
with the config file for the running kernel.

To work properly, I need to load the kernel src rpm and then copy the
proper config file (kernel-2.4.2-i686-smp.config in my situation) to
replace /usr/src/linux-2.4/arch/i386/defconfig.

While all of this works, it would be more convenient if the config file was
package with the respective binary.

Without the proper config and EXTRAVERSION values, nothing works.
Comment 1 Michael K. Johnson 2001-04-04 19:35:27 EDT
The kernel-sources rpm includes all the config files, and using them
to build is part of the documentation.

However, your suggestion has merit.  I'm going to think about it...
Comment 2 Gene Czarcinski 2001-04-05 01:00:25 EDT
What merit???  My mistake!  I did not realize that redhat already packages these
files as part of the kernel-source "binary" rpm in the
/usr/src/linux-2.4.2/configs directory ... or at least it sure looks like it is.

No RFE is necessary ... you already do what I am asking ... I just did not
realize it.  Perhaps some extra documentation would be nice but no changes.

I don't know if it always was this way but it sure is in the "current"

I am closing this.

Thanks,  Gene

Comment 3 Michael K. Johnson 2001-04-05 13:16:32 EDT
The merit was packaging config files with binaries; we package them
with the source.  I figured I would think about shipping config files
in the binary package as well so that people compiling their own kernels
without installing our kernel-source package could see what our starting
point was.  It's not terribly important, but still worth thinking about.

Note You need to log in before you can comment on or make changes to this bug.